### Constructor

# Gtk.DropTargetAsync.new

#### Declaration [src]

    GtkDropTargetAsync*
    gtk_drop_target_async_new (
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Creates a new `GtkDropTargetAsync` object.

#### Parameters

`formats` | `GdkContentFormats*`
| the supported data formats
| Can be `NULL`
| Ownership of the data is transferred to the callee
`actions` | `GdkDragAction`
| the supported actions

#### Return value

Returns: `GtkDropTargetAsync`
the new `GtkDropTargetAsync`
Ownership of the data is transferred to the caller